X
Tap here to go to the mobile version of the site.

Support Forum

Why does firefox keep prompting me to upgrade java and then tell me it is not accepting that upgrade, over and over again?

Posted

It also keeps prompting me to install google toolbar, which I ignore. After I get on the browser, I get the message that the upgrade is not accepted and will unstall annd prompts me to restart firefox.

It also keeps prompting me to install google toolbar, which I ignore. After I get on the browser, I get the message that the upgrade is not accepted and will unstall annd prompts me to restart firefox.

Modified by thomases

Chosen solution

If under Tools > Add-ons > Extensions, you have multiple Java Console extensions prior to Java Console version 6.0.21, follow these instructions to delete the old ones (read carefully): http://kb.mozillazine.org/Java#Multiple_Java_Console_extensions

Read this answer in context 2

Additional System Details

Installed Plug-ins

  • McAfee Clinic Activator Plugin (1,0,0,5)
  • DivX Web Player version 1.4.3.4
  • npdivxplayerplugin
  • 6.0.12.732
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • RealJukebox Netscape Plugin
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Adobe PDF Plug-In For Firefox and Netscape "9.3.4"
  • Default Plug-in
  • Shockwave Flash 10.1 r82
  • iTunes Detector Plug-in
  • DivX® Content Upload Plugin
  • Next Generation Java Plug-in 1.6.0_21 for Mozilla browsers
  • ScorchPlugin
  • Musicnotes Viewer plugin 1.18.4 For more information visit Musicnotes.com
  • RealPlayer(tm) HTML5VideoShim Plug-In
  • Rhapsody Player Engine Plugin
  • Google Update
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • DRM Netscape Network Object

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.9) Gecko/20100824 Firefox/3.6.9 ( .NET CLR 3.5.30729)

More Information

Firefox asks me to download the Java upgrade, then tells me it is not accepting it.

cor-el
  • Top 10 Contributor
  • Moderator
17589 solutions 159109 answers

You have the latest Java installed (Java Plug-in 1.6.0_21) according to your above posted Troubleshooting Information list.

Do you mean the Java Console extension?

You do not need the Java Console extension.
See http://kb.mozillazine.org/Java

You have the latest [[Java]] installed (Java Plug-in 1.6.0_21) according to your above posted Troubleshooting Information list. Do you mean the Java Console extension?<br /> You do not need the Java Console extension.<br /> See http://kb.mozillazine.org/Java
Helper7677 165 solutions 1653 answers

Chosen Solution

If under Tools > Add-ons > Extensions, you have multiple Java Console extensions prior to Java Console version 6.0.21, follow these instructions to delete the old ones (read carefully): http://kb.mozillazine.org/Java#Multiple_Java_Console_extensions

If under Tools > Add-ons > Extensions, you have multiple Java Console extensions prior to Java Console version 6.0.21, follow these instructions to delete the old ones (read carefully): http://kb.mozillazine.org/Java#Multiple_Java_Console_extensions

Question owner

I removed all but the latest Java console plug-in and this appears to have solved my problem. Thank you!

I removed all but the latest Java console plug-in and this appears to have solved my problem. Thank you!
Helper7677 165 solutions 1653 answers

You are welcome.

You are welcome.